#!/bin/sh

#-------------------------------------------------------------------
# Licensed Material - Property of IBM
#
# 5655-W05, 5655-W09 (C) Copyright IBM Corp. 2010, 2011
# All Rights Reserved.
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.
# Status = H28W700
#
#-------------------------------------------------------------------

# Remove "dead" symbolic links from
# a given WebSphere root. 

# Paramaters
# $1 - WebSphere Home Directory e.g. /WebSphere/V8R0/AppServer
# $2 - path to file containing a list of symbolic links to delete

echo Deleting the following symlinks...
for file in `iconv -f ISO8859-1 -t IBM-1047 ./$2`; do
  rm -rvf $1/$file
done

